in scala.dbc.statement
class Transaction

`case class` Transaction [ResultType]
  `extends` scala.dbc.statement.Statement
  `with` scala.ScalaObject
  `with` scala.Product3[scala.Function1[scala.dbc.Database, ResultType], scala.Option[scala.dbc.statement.AccessMode], scala.Option[scala.dbc.statement.IsolationLevel]]

  A statement that changes the status of the database.

Constructor Summary
| `def` this (transactionBody: scala.Function1[scala.dbc.Database, ResultType], accessMode: scala.Option[scala.dbc.statement.AccessMode], isolationLevel: scala.Option[scala.dbc.statement.IsolationLevel])

Val Summary
| `val` accessMode : scala.Option[scala.dbc.statement.AccessMode]
| `val` isolationLevel : scala.Option[scala.dbc.statement.IsolationLevel]
| `val` transactionBody : scala.Function1[scala.dbc.Database, ResultType]

Def Summary
`final` `override` | `def` $tag : scala.Int
`final` `override` | `def` _1 : scala.Function1[scala.dbc.Database, ResultType]
`final` `override` | `def` _2 : scala.Option[scala.dbc.statement.AccessMode]
`final` `override` | `def` _3 : scala.Option[scala.dbc.statement.IsolationLevel]
`override` | `def` equals (x$1: scala.Any) : scala.Boolean
| `def` execute (database: scala.dbc.Database) : scala.dbc.result.Status[ResultType]
| `def` execute (database: scala.dbc.Database, debug: scala.Boolean) : scala.dbc.result.Status[ResultType]
`override` | `def` hashCode : scala.Int
`final` `override` | `def` productPrefix : java.lang.String
| `def` sqlAbortString : java.lang.String
| `def` sqlCommitString : java.lang.String
| `def` sqlStartString : java.lang.String A SQL-99 compliant string representation of the statement.
`override` | `def` toString : java.lang.String

Constructor Detail

`def` this (transactionBody: scala.Function1[scala.dbc.Database, ResultType], accessMode: scala.Option[scala.dbc.statement.AccessMode], isolationLevel: scala.Option[scala.dbc.statement.IsolationLevel])

Val Detail

`val` accessMode : scala.Option[scala.dbc.statement.AccessMode]

`val` isolationLevel : scala.Option[scala.dbc.statement.IsolationLevel]

`val` transactionBody : scala.Function1[scala.dbc.Database, ResultType]

Def Detail

`final override def` $tag : scala.Int

`final override def` _1 : scala.Function1[scala.dbc.Database, ResultType]

`final override def` _2 : scala.Option[scala.dbc.statement.AccessMode]

`final override def` _3 : scala.Option[scala.dbc.statement.IsolationLevel]

`override def` equals (x$1: scala.Any): scala.Boolean

`def` execute (database: scala.dbc.Database): scala.dbc.result.Status[ResultType]

`def` execute (database: scala.dbc.Database, debug: scala.Boolean): scala.dbc.result.Status[ResultType]

`override def` hashCode : scala.Int

`final override def` productPrefix : java.lang.String

`def` sqlAbortString : java.lang.String

`def` sqlCommitString : java.lang.String

`def` sqlStartString : java.lang.String

  A SQL-99 compliant string representation of the statement.

`override def` toString : java.lang.String